
// RS-WF62.cpp : アプリケーションのクラス動作を定義します。
//

#include "stdafx.h"
#include "RS-WF62.h"
#include "RS-WF62Dlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#endif


// CRSWF62App

BEGIN_MESSAGE_MAP(CRSWF62App, CWinAppEx)
	ON_COMMAND(ID_HELP, &CWinApp::OnHelp)
END_MESSAGE_MAP()


// CRSWF62App コンストラクション

CRSWF62App::CRSWF62App()
{
	// TODO: この位置に構築用コードを追加してください。
	// ここに InitInstance 中の重要な初期化処理をすべて記述してください。
}


// 唯一の CRSWF62App オブジェクトです。

CRSWF62App theApp;


// CRSWF62App 初期化

BOOL CRSWF62App::InitInstance()
{
	CWinAppEx::InitInstance();

	// 標準初期化
	// これらの機能を使わずに最終的な実行可能ファイルの
	// サイズを縮小したい場合は、以下から不要な初期化
	// ルーチンを削除してください。
	// 設定が格納されているレジストリ キーを変更します。
	// TODO: 会社名または組織名などの適切な文字列に
	// この文字列を変更してください。
	SetRegistryKey(_T("RATOC"));

	// すでにアプリケーションが起動している場合はフォアグラウンドに持ってきて終了
	::CreateMutex(NULL, TRUE, m_pszExeName);
	if(GetLastError() == ERROR_ALREADY_EXISTS)
	{
		CString str;
		str.LoadString(IDS_STRING_DEVICE_NAME);
		CWnd* pWnd = CWnd::FindWindow(NULL, str);
		if(pWnd)
		{
			pWnd->SetForegroundWindow();
		}
		return FALSE;
	}

	CRSWF62Dlg dlg;
	m_pMainWnd = &dlg;
	INT_PTR nResponse = dlg.DoModal();
	if(nResponse == IDOK)
	{
		// TODO: ダイアログが <OK> で消された時のコードを
		//  記述してください。
	}
	else if(nResponse == IDCANCEL)
	{
		// TODO: ダイアログが <キャンセル> で消された時のコードを
		//  記述してください。
	}

	// ダイアログは閉じられました。アプリケーションのメッセージ ポンプを開始しないで
	//  アプリケーションを終了するために FALSE を返してください。
	return FALSE;
}
